Public Member Functions | Private Attributes | List of all members
WP5PrefixData Class Reference

`#include <WP5PrefixData.h>`

## Public Member Functions
| WP5PrefixData (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
virtual | ~WP5PrefixData ()
const WP5GeneralPacketData * | getGeneralPacketData (const int type) const

## Private Attributes
std::map< int, std::unique_ptr< WP5GeneralPacketData > > | m_generalPacketData

## Constructor & Destructor Documentation

## ◆ WP5PrefixData()

WP5PrefixData::WP5PrefixData | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## ◆ ~WP5PrefixData()

WP5PrefixData::~WP5PrefixData | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ getGeneralPacketData()

const WP5GeneralPacketData * WP5PrefixData::getGeneralPacketData | ( | const int | type | ) | const

Referenced by WP5Listener::getGeneralPacketData().

## Member Data Documentation

## ◆ m_generalPacketData

std::map<int, std::unique_ptr<WP5GeneralPacketData> > WP5PrefixData::m_generalPacketData
| private

Referenced by getGeneralPacketData(), and WP5PrefixData().

The documentation for this class was generated from the following files:

- WP5PrefixData.h
- WP5PrefixData.cpp